## Запуск asa.py в Windows

1. Установите [Visual C++ redistributable packages for Visual Studio 2013](https://www.microsoft.com/en-us/download/details.aspx?id=40784) (разрядность должна совпадать с разрядностью Python).

2. Установите [Visual C++ redistributable packages for Visual Studio 2015](https://www.microsoft.com/en-in/download/details.aspx?id=48145) (разрядность должна совпадать с разрядностью Python).

3. Установите [Python 3.6](https://www.python.org/downloads/release/python-368/).

4. Поместите рядом с `asa.py` папку `libasa-win32` или `libasa-win64` в зависимости от разрядности вашего Python. В папке `libasa-win32/64` должны находиться библиотеки `asa.dll`, `libxmlrpc.dll`, `libxmlrpc_client.dll`, `libxmlrpc_util.dll`, `libxmlrpc_xmlparse.dll`, `libxmlrpc_xmltok.dll`.

5. Установите зависимости для Python:

   ```bash
   python -m venv venv
   venv\Scripts\python -m pip install --upgrade pip
   venv\Scripts\python -m pip install -r requirements.txt
   ```

6. Запустите:

   ```bash
   venv\Scripts\python asa.py
   ```

   IP адрес сервера нужно прописать в `asa.py`.

Аналогично запускается `asa_test.py`.

## Запуск asa.py в Astra Linux

1. Установите `curl`:

   ```bash
   sudo apt-get update
   sudo apt-get install curl
   ```

2. Установите [Python 3.6.8](https://www.python.org/downloads/release/python-368/). Для этого в терминале выполните команды:

   ```bash
   sudo apt-get update
   sudo apt-get upgrade
   sudo apt-get install build-essential module-assistant ethtool
   sudo m-a prepare
   ```

3. Установите необходимые пакеты и библиотеки:

   ```bash
   sudo apt-get install -y make build-essential libssl-dev zlib1g-dev libbz2-dev \
   libreadline-dev libsqlite3-dev wget curl llvm libncurses5-dev libncursesw5-dev \
   xz-utils tk-dev libffi-dev liblzma-dev
   ```

4. Скачайте Python 3.6.8:

   ```bash
   wget https://www.python.org/ftp/python/3.6.8/Python-3.6.8.tgz
   ```

5. Распакуйте и установите Python 3.6.8:

   ```bash
   tar xvf Python-3.6.8.tgz
   cd Python-3.6.8
   ./configure --enable-optimizations --enable-shared
   make -j8
   sudo make altinstall
   ```

6. Проверьте, что установка прошла успешно:

   ```bash
   python3.6 --version
   ```

   Если появляется ошибка:

   ```
   python3.6: error while loading shared libraries: libpython3.6m.so.1.0: cannot open shared object file: No such file or directory
   ```

   попробуйте выполнить команду:

   ```bash
   export LD_LIBRARY_PATH=/usr/local/lib/
   ```

8. Поместите рядом с `asa.py` папку `libasa-debian`, в которой должна находиться библиотека `libasa.so` и папки `astra` и `ubuntu` c библиотеками `libxmlrpc.so.3.51`, `libxmlrpc_client.so.3.51`, `libxmlrpc_util.so.4.51`, `libxmlrpc_xmlparse.so.3.51`, `libxmlrpc_xmltok.so.3.51`.

9. Чтобы экспортировать путь к библиотекам XMLRPC, выполните скрипт `install_libs.sh`:

   ```bash
   bash install_libs.sh
   ```

10. Установите зависимости для Python:

   ```bash
   python3.6 -m venv venv
   venv/bin/python3.6 -m pip install --upgrade pip
   venv/bin/python3.6 -m pip install -r requirements.txt
   ```

11. Запустите:

    ```bash
    venv/bin/python3.6 asa.py
    ```

    IP адрес сервера нужно прописать в `asa.py`.

Аналогично запускается `asa_test.py`.

## Запуск asa.py в Ubuntu

1. Установите `curl`:

   ```bash
   sudo apt-get update
   sudo apt-get install curl
   ```

2. В Ubuntu 18 Python 3.6 установлен по умолчанию и устанавливать его не нужно.

3. Установите `python3-venv` и `python3-tk`:

   ```bash
   sudo apt-get install python3-venv python3-tk
   ```

4. Поместите рядом с `asa.py` папку `libasa-debian`, в которой должна находиться библиотека `libasa.so` и папки `astra` и `ubuntu` c библиотеками `libxmlrpc.so.3.51`, `libxmlrpc_client.so.3.51`, `libxmlrpc_util.so.4.51`, `libxmlrpc_xmlparse.so.3.51`, `libxmlrpc_xmltok.so.3.51`.

5. Чтобы экспортировать путь к библиотекам XMLRPC, выполните скрипт `install_libs.sh`:

   ```bash
   bash install_libs.sh
   ```

6. Установите зависимости для Python:

   ```bash
   python3 -m venv venv
   venv/bin/python3 -m pip install --upgrade pip
   venv/bin/python3 -m pip install -r requirements.txt
   ```

7. Запустите:

   ```bash
   venv/bin/python3 asa.py
   ```

   IP адрес сервера нужно прописать в `asa.py`.

Аналогично запускается `asa_test.py`.

